org.apache.http.client.config

## Class CookieSpecs

- java.lang.Object
- - org.apache.http.client.config.CookieSpecs

-     public final class CookieSpecs
      extends Object

  HttpClient支持的标准Cookie规范。
  从以下版本开始：
    4.3

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `BEST_MATCH` 已过时。 （4.4）使用{link #DEFAULT}。
    `static String` | `BROWSER_COMPATIBILITY` 已过时。 （4.4）使用{link #DEFAULT}。
    `static String` | `DEFAULT` 默认策略。
    `static String` | `IGNORE_COOKIES` 忽略cookie的策略。
    `static String` | `NETSCAPE` Netscape Cookie草案兼容策略。
    `static String` | `STANDARD` RFC 6265兼容策略（interoprability profile）。
    `static String` | `STANDARD_STRICT` RFC 6265兼容策略（严格配置文件）。

  - ### 方法摘要

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### 字段详细信息

    - #### BROWSER_COMPATIBILITY

          @Deprecated
          public static final String BROWSER_COMPATIBILITY

      已过时。 （4.4）使用{link #DEFAULT}。
      该策略与流行的HTTP代理的常见cookie管理提供高度的兼容性。
      另请参见：
        Constant Field Values

    - #### NETSCAPE

          public static final String NETSCAPE

      Netscape Cookie草案兼容策略。
      另请参见：
        Constant Field Values

    - #### STANDARD

          public static final String STANDARD

      RFC 6265兼容策略（interoprability profile）。
      另请参见：
        Constant Field Values

    - #### STANDARD_STRICT

          public static final String STANDARD_STRICT

      RFC 6265兼容策略（严格配置文件）。
      从以下版本开始：
        4.4
      另请参见：
        Constant Field Values

    - #### BEST_MATCH

          @Deprecated
          public static final String BEST_MATCH

      已过时。 （4.4）使用{link #DEFAULT}。
      默认的“最匹配”策略。
      另请参见：
        Constant Field Values

    - #### DEFAULT

          public static final String DEFAULT

      默认策略。 此策略提供了与非标准（Netscape风格）Cookie流行HTTP代理程序的常见Cookie管理的更高程度的兼容性。
      另请参见：
        Constant Field Values

    - #### IGNORE_COOKIES

          public static final String IGNORE_COOKIES

      忽略cookie的策略。
      另请参见：
        Constant Field Values

Copyright © 1999–2017 The Apache Software Foundation. All rights reserved.

本帮助文档是使用 《谷歌翻译》翻译，请与英文版配合使用 by--QQ:654638585